﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LandscapeDemo
{
    public class OrderInfoRepository
    {
        ObservableCollection<OrderInfo> orderDetails;
        public OrderInfoRepository()
        {
            orderDetails = new ObservableCollection<OrderInfo>();
        }

        #region private variables

        private Random random = new Random();

        #endregion

        #region GetOrderDetails

        public ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            for (int i = 0; i <= 4; i++)
            {
                var ord = new OrderInfo()
                {
                    Name = Name[i],
                    Mon = random.Next(10,1000),
                    Tue = random.Next(25, 800),
                    Wed = random.Next(40, 500),
                    Thur = random.Next(10, 1000),
                    Fri = random.Next(25, 800),
                    Sat = random.Next(40, 500),
                    Sun = random.Next(40, 500),
                };
                orderDetails.Add(ord);
            }
            return orderDetails;
        }

        #endregion


        string[] Name = new string[] {
            "Rent",
            "Utilities",
            "Insurance",
            "Internet",
            "Travel"
        };

    }
}
